Bug 1262402 - jxrlib patch adds typo in define
jxrlib patch adds typo in define
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: jxrlib (Show other bugs)
rawhide
ppc Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker
  Show dependency treegraph
 
Reported: 2015-09-11 10:34 EDT by Rafael Fonseca
Modified: 2015-09-24 10:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.1-4.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 01:13:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Fonseca 2015-09-11 10:34:10 EDT
Description of problem: when the patch jxrlib_warnings.patch is applied it changes the variable _BIG__ENDIAN_ to _BIG__ENDIAN__ (note the extra '_'). Because of that, jxrlib doesn't compile on big endian architectures with the following error message:

In file included from /builddir/build/BUILD/jxrlib/image/sys/strcodec.c:28:0:
/builddir/build/BUILD/jxrlib/image/sys/strcodec.c:672:25: error: expected ')' before 'bits'
 U32 _byteswap_ulong(U32 bits)
                         ^
/builddir/build/BUILD/jxrlib/image/sys/strcodec.h:684:30: note: in definition of macro '_byteswap_ulong'
 #define _byteswap_ulong(x)  (x)
                              ^

Version-Release number of selected component (if applicable): 1.1-3


How reproducible: build jxrlib on big endian machine.
Comment 1 Fedora Update System 2015-09-11 12:34:48 EDT
jxrlib-1.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15625
Comment 2 Fedora Update System 2015-09-11 12:34:56 EDT
jxrlib-1.1-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15626
Comment 3 Fedora Update System 2015-09-12 17:25:23 EDT
jxrlib-1.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update jxrlib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15625
Comment 4 Fedora Update System 2015-09-12 23:49:14 EDT
jxrlib-1.1-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update jxrlib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15626
Comment 5 Fedora Update System 2015-09-13 00:20:27 EDT
jxrlib-1.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update jxrlib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15624
Comment 6 Fedora Update System 2015-09-24 01:13:13 EDT
jxrlib-1.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-09-24 04:25:15 EDT
jxrlib-1.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-09-24 10:19:00 EDT
jxrlib-1.1-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.